cURL
curl --request POST \ --url https://api.example.com/v1/datasets \ --header 'Content-Type: multipart/form-data' \ --header 'x-api-key: <api-key>' \ --form file='@example-file' \ --form 'name=<string>' \ --form 'description=<string>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "status": "UPLOADED", "name": "<string>", "description": "<string>", "file_name": "<string>", "file_size": 123, "errors": {} }
Documentation IndexFetch the complete documentation index at: https://docs.luminolabs.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.luminolabs.ai/llms.txt
Use this file to discover all available pages before exploring further.
JSONL file in OpenAI format
User-assigned name for the dataset
User-provided description of the dataset
Successfully uploaded dataset
UPLOADED
VALIDATED
ERROR
DELETED